#!/usr/bin/env python

import emod_api.campaign as camp
import emodpy_tbhiv.interventions.active_diagnostic as ad
import emodpy_tbhiv.interventions.art as art
import emodpy_tbhiv.interventions.bcg as bcg
import emodpy_tbhiv.interventions.cd4diag as cd4
import emodpy_tbhiv.interventions.diag_treat_neg as dtn
import emodpy_tbhiv.interventions.hiv_diag as hd
import emodpy_tbhiv.interventions.hiv_seeding as hs
import emodpy_tbhiv.interventions.hsb as hsb
import emodpy_tbhiv.interventions.ramp_dtn as ramp
import emodpy_tbhiv.interventions.resist_diag as rd
import emodpy_tbhiv.interventions.smear_diag as sd
import emodpy_tbhiv.interventions.sub_clinical_test as sct
import emodpy_tbhiv.interventions.tbhiv_treat as treat
import emodpy_tbhiv.interventions.tb_treat_pddrug as tbtd
import emodpy_tbhiv.interventions.tb_treat_basic as tbt
import emodpy_tbhiv.interventions.triggered_pvc as tpvc
import emodpy_tbhiv.interventions.vaccine as vacc


camp.set_schema( "schema.json" )
event = ad.ActiveDiagnostic(camp, ["Infected"])
camp.add( event )

event = art.ART(camp, ["Infected"])
camp.add( event )

event = bcg.BCG(camp, ["Infected"])
camp.add( event )

event = cd4.CD4Diag(camp, ["Infected"])
camp.add( event )

event = dtn.DiagnosticTreatNeg(camp, ["Infected"])
camp.add( event )

event = hd.HIVDiagnostic(camp, ["Infected"])
camp.add( event )

event = hs.HIV( camp, 44 )
camp.add( event )

event = hsb.HSB(camp, ["Infected"],"NoTrigger")
camp.add( event )

event = ramp.RampDTN(camp, ["Infected"])
camp.add( event )

event = rd.ResistanceDiagnostic(camp, ["Infected"])
camp.add( event )

event = sd.SmearDiagnostic(camp, ["Infected"])
camp.add( event )

#event = sct.DiagnosticSubClinical(camp, ["Infected"])
#camp.add( event )

event = treat.TBHIVDrugTreatment(camp, ["Infected"],drug_name="DOTS")
camp.add( event )

#event = tbtd.TBPropDepDrugTreatment(camp, ["Infected"],drug_names=["DOTS"])
#camp.add( event )

event = tbt.TBDrugTreatment(camp, ["Infected"])
camp.add( event )

event = tpvc.TPVC(camp, ["Infected"],"StartFakePropKey","StopFakePropKey")
camp.add( event )

event = vacc.Vaccine(camp, ["Infected"])
camp.add( event )
camp.save( "camp.json" )

